Package org.apache.commons.exec.launcher

# Class Java13CommandLauncher

java.lang.Object
org.apache.commons.exec.launcher.CommandLauncherImpl
org.apache.commons.exec.launcher.Java13CommandLauncher

All Implemented Interfaces:
  `CommandLauncher`

Direct Known Subclasses:
  `VmsCommandLauncher`

public class Java13CommandLauncher extends CommandLauncherImpl
A command launcher for Java 1.3 (and higher). Uses the built-in `Runtime.exec(String, String[], File)` command.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Java13CommandLauncher()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Process`
  `exec(CommandLine cmd, Map<String,String> env, File workingDir)`
  Launches the given command in a new process, in the given working directory.

  ### Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherImpl

  `exec, isFailure`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.exec.launcher.CommandLauncher

  `exec`

- ## Constructor Details

  - ### Java13CommandLauncher

    public Java13CommandLauncher()
    Constructs a new instance.

- ## Method Details

  - ### exec

    public Process exec(CommandLine cmd, Map<String,String> env, File workingDir) throws IOException
    Launches the given command in a new process, in the given working directory.
    Specified by:
      `exec` in interface `CommandLauncher`
    Specified by:
      `exec` in class `CommandLauncherImpl`
    Parameters:
      `cmd` - the command line to execute as an array of strings.
      `env` - the environment to set as an array of strings.
      `workingDir` - the working directory where the command should run.
    Returns:
      the newly created process.
    Throws:
      `IOException` - probably forwarded from `Runtime.exec(String[], String[], File)`.